# SPDX-License-Identifier: GPL-2.0-only
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/ux500.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Ux500 platforms device tree bindings

maintainers:
  - Linus Walleij <linus.walleij@linaro.org>

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:

      - description: ST-Ericsson HREF (pre-v60)
        items:
          - const: st-ericsson,mop500
          - const: st-ericsson,u8500

      - description: ST-Ericsson HREF (v60+)
        items:
          - const: st-ericsson,hrefv60+
          - const: st-ericsson,u8500

      - description: Calao Systems Snowball
        items:
          - const: calaosystems,snowball-a9500
          - const: st-ericsson,u9500

      - description: Samsung Galaxy S III mini (GT-I8190)
        items:
          - const: samsung,golden
          - const: st-ericsson,u8500

additionalProperties: true
